aboutsummaryrefslogtreecommitdiffstats
path: root/bootscripts/contrib/lsb-v3/init.d/udev
diff options
context:
space:
mode:
Diffstat (limited to 'bootscripts/contrib/lsb-v3/init.d/udev')
-rw-r--r--bootscripts/contrib/lsb-v3/init.d/udev6
1 files changed, 4 insertions, 2 deletions
diff --git a/bootscripts/contrib/lsb-v3/init.d/udev b/bootscripts/contrib/lsb-v3/init.d/udev
index fa3e71006..5e74561ca 100644
--- a/bootscripts/contrib/lsb-v3/init.d/udev
+++ b/bootscripts/contrib/lsb-v3/init.d/udev
@@ -37,7 +37,9 @@ case "${1}" in
# made or removed during this boot don't affect the next one.
# The reason we don't write to mtab is because we don't ever
# want /dev to be unavailable (such as by `umount -a').
- mount -n -t tmpfs tmpfs /dev -o mode=755
+ if ! mountpoint /dev > /dev/null; then
+ mount -n -t tmpfs tmpfs /dev -o mode=755
+ fi
if [ ${?} != 0 ]; then
echo_failure
boot_mesg -n "FAILURE:\n\nCannot mount a tmpfs" ${FAILURE}
@@ -63,7 +65,7 @@ case "${1}" in
# Now traverse /sys in order to "coldplug" devices that have
# already been discovered
- /sbin/udevadm trigger
+ /sbin/udevadm trigger --action=add
# Now wait for udevd to process the uevents we triggered
/sbin/udevadm settle